Bug 1656597 - concurrently creating repositories causes most of them are not visible for consumer at the end
Summary: concurrently creating repositories causes most of them are not visible for co...
Keywords:
Status: NEW
Alias: None
Product: Candlepin
Classification: Community
Component: candlepin
Version: 2.1
Hardware: x86_64
OS: Linux
medium
high
Target Milestone: ---
: ---
Assignee: candlepin-bugs
QA Contact: Katello QA List
URL:
Whiteboard:
: 1656612 (view as bug list)
Depends On:
Blocks: 1122832 1609543
TreeView+ depends on / blocked
 
Reported: 2018-12-05 19:55 UTC by William Poteat
Modified: 2019-10-22 13:04 UTC (History)
11 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1609543
: 1656611 1656612 1656613 (view as bug list)
Environment:
Last Closed:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Foreman Issue Tracker 25626 Normal Closed race condition when creating multiple repos in same product 2020-04-07 08:10:47 UTC
Github candlepin candlepin pull 2173 None closed 1656597: Concurrent content addition error [M] [ENT-1004] 2020-04-07 08:10:47 UTC

Comment 1 Barnaby Court 2019-04-04 13:45:53 UTC
*** Bug 1656612 has been marked as a duplicate of this bug. ***

Comment 2 Pavel Moravec 2019-07-25 07:34:20 UTC
Hello,
will a fix of this candlepin BZ include also scenario when deleting a Sat product? That invokes many Actions::Candlepin::Product::ContentRemove dynflow steps concurrently, i.e. many requests like:

Request: verb=DELETE, uri=/candlepin/owners/RedHat/products/73563395718/content/1561805575836

for the same product but different content are raised concurrently.

Will this BZ fix prevent the "Runtime Error Row was updated or deleted by another transaction" error I see in Sat6.5? (cf https://bugzilla.redhat.com/show_bug.cgi?id=1609543#c22)

Comment 3 William Poteat 2019-10-22 13:04:37 UTC
For the creation of content there is a batch endpoint:
POST products/{product_uuid}/batch_content

Feels like we need a batch delete as well. 

There is no good way to allow concurrent adds/deletes of content for the same product. The locking would be extensive an obtrusive.


Note You need to log in before you can comment on or make changes to this bug.